package com.yidian.common.http

import com.yidian.common.BuildConfig

class URLs {
    companion object {
        val BASE_URL: String

        private const val BASE_URL_DEBUG = "http://bp-dev.go2yd.com"

        private const val BASE_URL_PRO = "http://bp-dev.go2yd.com"

        init {
            BASE_URL = if (BuildConfig.ENV_DEBUG) {
                BASE_URL_DEBUG
            } else {
                BASE_URL_PRO
            }
        }

        const val userInfo = "/user/user/info"

        // 生活圈B端
        const val uploadFile = "/user/user/modify_profile"
        const val pushTokenAndroid = "/push/token/android"
        const val authPersonalGetToken = "/Identify/IdOcr/getBizToken"
        const val getKSYunToken = "/ksy/Ksyun/getToken"
        const val getIDCardOCR = "Identify/IdOcr/idCardOcr"
        const val identifyIdOcrVerify = "/Identify/IdOcr/verify"
        const val getKSYunObjectId = "Ksy/ksyun/buildObectid"
        const val getKSYunBucket = "Ksy/ksyun/getBucket"
        const val businessLicenseOCR = "/Identify/BusLicense/businessLicenseOcr"
        const val sendMsgCode = "/user/user/send_sms_code"
        const val mobileLogin = "/user/user/login"
        const val userLogout = "/user/user/logout"
        const val accountList = "/merchant/auth/account_list"
        const val createLifeAccount = "/merchant/enterprise/check_life"
        const val authPersonalCheck = "/merchant/auth/personal_check"
        const val authLiveIdentity = "/merchant/auth/live_identity"
        const val authComplete = "/merchant/auth/complete"
        const val authAuthentication = "/merchant/auth/authentication"
        const val authMerchantCheck = "/merchant/enterprise/check"
        const val authBusinessLicenseCommit = "/merchant/enterprise/business"
        const val authEnterpriseLegalIdentityCommit = "/merchant/enterprise/legal"
        const val authIndividualBusinessIdentityCommit = "/merchant/enterprise/employed"
        const val authEnterpriseLiveIdentity = "/merchant/enterprise/live"
        const val authIndividualBusinessComplete = "/merchant/enterprise/employed_complate"
        const val getConfigList = "/config/switch/list"
        const val getLifeAccountInfoById = "/merchant/enterprise/get_account_by_lid"
    }
}
